version: "3.9"
# NexaCore AI VPS — Langflow Template
services:
  langflow:
    image: langflowai/langflow:latest
    container_name: nexacore-langflow
    restart: unless-stopped
    ports:
      - "127.0.0.1:7860:7860"
    env_file: .env
    volumes:
      - data:/app/langflow
    labels:
      - "com.nexacore.template=langflow"
      - "com.nexacore.version=1.0.0"

volumes:
  data:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /opt/nexacore/data/langflow
